Bug 118275 - software RAID fails to start if only user is LVM
software RAID fails to start if only user is LVM
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-03-14 18:24 EST by Kjetil T. Homme
Modified: 2014-03-16 22:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-28 18:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kjetil T. Homme 2004-03-14 18:24:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
rc.sysinit contains code so that it avoids starting unused RAID
volumes, but unfortunately it only looks in /etc/fstab for references.
 if /dev/md0 is the physical volume for a volume group, there will be
no reference to /dev/md0 in fstab, and raidstart is skipped.  vgchange

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. make /dev/md0
2. make it part of a volume group
3. make a volume, and mount it automatically in fstab

Actual Results:  fsck fails since it can't find the device, since
raidstart for md0 was skipped.  vgchange won't enable the volume
group, since it can't see the physical volume.  the device node for
the volume is thus rendered invalid.

Expected Results:  rc.sysinit should somehow understand that md0
actually was used by the system _or_ it should try to enable all
software raid sets.

Additional info:

(I set the severity high since it can lead to highly surprising and
inopportune failures during reboot, and the workaround isn't entirely
obvious for new users (set INFSTAB=1 rather than run grep))
Comment 1 Petr Krištof 2004-04-28 09:43:08 EDT
I have the same problem.
LVM2 volume on raid5 array and mounted as homes in fstab.

/dev/array/first  /home  ext3 defaults 1 2

Homes are not mounted after reboot what is REALLY problem.
Comment 2 Bill Nottingham 2005-04-28 18:26:45 EDT
This should be fixed in th ecurrent devel initscripts.

Note You need to log in before you can comment on or make changes to this bug.